#! /bin/sh

HOST=$1
HOMEDIR=$2
team="ATH" 
player="./ath-player"
coach="./ath-coach"

cd "${HOMEDIR}/bin"

# Exports
export BEHAVIOR_DIR="${HOMEDIR}/data/behavior"
export FORMATION_DIR="${HOMEDIR}/data/formations"
export LEARNING_DIR="${HOMEDIR}/data/learning"
export LD_LIBRARY_PATH="${HOMEDIR}/lib:${LD_LIBRARY_PATH}"

echo "ATH >>> STARTING TEAM AT HUMBOLDT"
echo "ATH"
echo "ATH >>> HOMEDIR: ${HOMEDIR}"
echo "ATH >>> HOST:    ${HOST}"
echo "ATH >>> BEHAVIOR_DIR:  ${BEHAVIOR_DIR}"
echo "ATH >>> FORMATION_DIR: ${FORMATION_DIR}"
echo "ATH >>> LEARNING_DIR:  ${LEARNING_DIR}"
echo "ATH >>> LD_LIBRARY:    ${LD_LIBRARY_PATH}"
echo "ATH"
echo "ATH >>> PWD:     ${PWD}"
echo "ATH"

# kurz warten
sleep 1


for (( i=1 ; i<=10 ; i=$i+1 )) ; do
    echo "ATH >>> ${player} -t ${team} --host ${HOST} "
    ${player} -t ${team} --host ${HOST} &> /dev/null &
    sleep 1
done

# Goalie (#11)
echo "ATH >>> ${player} -t ${team} --host ${HOST} --goalie"
${player} -t ${team} --host ${HOST} --goalie &> /dev/null &
sleep 1

# 1 Coach
echo "ATH >>> ${coach} -team ${team} -host ${HOST}"
${coach} -team ${team} -host ${HOST} &> coach.out &

wait
